<div class="body">
<mat-toolbar color="primary">
	<mat-toolbar-row>
		<button mat-icon-button (click)="toggleToolbar()">
			<mat-icon>menu</mat-icon>
		</button> 
		
		<select #langSelect (change)="changeLang($event.target.value)">
			<option *ngFor="let lang of getLangs()" [value]="lang" [selected]="lang === getCurrentLang()">{{ 'LANG.'+lang | translate }}</option>
		</select>
	</mat-toolbar-row>
</mat-toolbar>
<div [ngClass]="{'expanded': expanded, 'overflowed' : overflowed}" id="expander">
	
	<div class="tool-element"> 
		<a routerLink="/crypto"><button mat-button>
			<mat-icon>lock</mat-icon><br/>
			{{ 'PAGES.CRYPTO.CRYPTO' | translate }}
		</button></a>
	</div>

	<div class="tool-element"> 
		<a routerLink="/image-filter"><button mat-button>
			<mat-icon>camera_enhance</mat-icon><br/>
			{{ 'PAGES.IMGFILTER.IMAGEFILTER' | translate }}
		</button></a>
	</div>

	<div class="tool-element"> 
		<a routerLink="/char-count"><button mat-button>
			<mat-icon>library_books</mat-icon><br/>
			{{ 'PAGES.CHARCOUNT.CHARCOUNT' | translate }}
		</button></a>
	</div>

	<div class="tool-element"> 
		<a routerLink="/eea"><button mat-button>
			<mat-icon>mediation</mat-icon><br/>
			{{ 'PAGES.EEA.EEA' | translate }}
		</button></a>
	</div>

	<div class="tool-element"> 
		<a routerLink="/rng"><button mat-button>
			<mat-icon>filter_6</mat-icon><mat-icon>filter_9</mat-icon><br/>
			{{ 'PAGES.RNG.RNG' | translate }}
		</button></a>
	</div>

</div>

<router-outlet></router-outlet>
</div>